<?php
/*
	Name: Animated Social
	Author: wpthesisskins.com
	Version: 1.0
	Description: Animated Social box for Thesis Theme 2.0.
	Class: animated_social
*/


class animated_social extends thesis_box {
	
	protected function translate() {
		$this->title = __('Animated Social', 'thesis');
	}
	
	protected function construct() {
		wp_enqueue_style('animated-social1', THESIS_USER_BOXES_URL . "/animated-social/style.css");
	}
	
	protected function options() {
		global $thesis;
		return array(
			
				'twitter' => array(
				'type' => 'text',
				'width' => 'long',
				'label' => __('Paste your Twitter url link', 'thesis'),
				'tooltip' => sprintf(__('Here to paste your Twitter page url', 'thesis')),
				'default' => ''
				),
				'rss' => array(
				'type' => 'text',
				'width' => 'long',
				'label' => __('Paste your Rss url link', 'thesis'),
				'tooltip' => sprintf(__('Here to paste your Rss page url', 'thesis')),
				'default' => ''
				),
				'pinterest' => array(
				'type' => 'text',
				'width' => 'long',
				'label' => __('Paste your pinterest url link', 'thesis'),
				'tooltip' => sprintf(__('Here to paste your pinterest page url', 'thesis')),
				'default' => ''
				),
				
				'stumble' => array(
				'type' => 'text',
				'width' => 'long',
				'label' => __('Paste your stumble upon url link', 'thesis'),
				'tooltip' => sprintf(__('Here to paste your stumble upon page url', 'thesis')),
				'default' => ''
				),
				
				
				'facebook' => array(
				'type' => 'text',
				'width' => 'long',
				'label' => __('Paste your facebook url link', 'thesis'),
				'tooltip' => sprintf(__('Here to paste your facebook page url', 'thesis')),
				'default' => ''
				),
				
				'email' => array(
				'type' => 'text',
				'width' => 'long',
				'label' => __('Paste your email url link', 'thesis'),
				'tooltip' => sprintf(__('Here to paste your email page url', 'thesis')),
				'default' => ''
				),
				
				'googleplus' => array(
				'type' => 'text',
				'width' => 'long',
				'label' => __('Paste your googleplus url link', 'thesis'),
				'tooltip' => sprintf(__('Here to paste your googleplus page url', 'thesis')),
				'default' => ''
				),
				
				'twittercheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable twitter icon  ', 'thesis'),

				'tooltip' => sprintf(__('If you want to remove twitter icon please select checkbox', 'thesis')),

					'options' => array(

						'soption' => __('Disable twitter icons from thesis social box', 'thesis'),

						)

				),
				
				'rsscheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable rss icon  ', 'thesis'),

				'tooltip' => sprintf(__('If you want to remove rss icon please select checkbox', 'thesis')),

					'options' => array(

						'soption' => __('Disable rss icons from thesis social box', 'thesis'),

						)

				),

			
				'pinterestcheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable pinterest icon  ', 'thesis'),

				'tooltip' => sprintf(__('If you want to remove pinterest icon please select checkbox', 'thesis')),

					'options' => array(

						'soption' => __('Disable pinterest icons from thesis social box', 'thesis'),

						)

				),



				'stumblecheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable stumble icon  ', 'thesis'),

				'tooltip' => sprintf(__('If you want to remove stumble icon please select checkbox', 'thesis')),

					'options' => array(

						'soption' => __('Disable stumble icons from thesis social box', 'thesis'),

						)

				),

				
				'facebookcheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable facebook icon', 'thesis'),

				'tooltip' => sprintf(__('If you want to remove facebook icon please select checkbox', 'thesis')),

					'options' => array(

						'soption' => __('Disable facebook icons from thesis social box', 'thesis'),

						)

				),

				'emailcheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable email icon', 'thesis'),

				'tooltip' => sprintf(__('If you want to remove email icon please select checkbox', 'thesis')),

					'options' => array(

						'soption' => __('Disable email icon from thesis social box', 'thesis'),

						)

				),

				'googlepluscheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable google plus icon', 'thesis'),

				'tooltip' => sprintf(__('If you want to remove googleplus icon please select checkbox', 'thesis')),

					'options' => array(

						'soption' => __('Disable googleplus icon from thesis social box', 'thesis'),

						)

				),
			
			
			);
	}

	public function html() {
		global $thesis;

		// get options

		$options = $thesis->api->get_options($this->options(), $this->options);

		
if(!$options['scheck']){
		?>
		<div class="contents">
      
        <div class="demo">
            <ul>
			<?php if(!$options['facebookcheck']){?>
                <li><a href="<?php echo $options['facebook']; ?>" title=""><span class="icon"><i aria-hidden="true" class="icon-facebook">
                </i></span><span>Like</span> </a></li>
			<?php } ?>	
			
			<?php if(!$options['googlepluscheck']){?>
                <li><a href="<?php echo $options['googleplus']; ?>" title=""><span class="icon"><i aria-hidden="true" class="icon-google-plus">
                </i></span><span>Add</span></a> </li>	
			<?php } ?>	
			
			<?php if(!$options['twittercheck']){?>
                <li><a href="<?php echo $options['twitter']; ?>" title=""><span class="icon"><i aria-hidden="true" class="icon-twitter">
                </i></span><span>Follow</span></a> </li>
			<?php } ?>
			
			<?php if(!$options['pinterestcheck']){?>
                <li><a href="<?php echo $options['pinterest']; ?>" title=""><span class="icon"><i aria-hidden="true" class="icon-pinterest">
                </i></span><span>Pin it</span></a> </li>
			<?php } ?>

			<?php if(!$options['rsscheck']){?>
                <li><a href="<?php echo $options['rss']; ?>" title=""><span class="icon"><i aria-hidden="true" class="icon-feed">
                </i></span><span>Subscribe</span></a> </li>
			<?php } ?>

			<?php if(!$options['stumblecheck']){?>	
                <li><a href="<?php echo $options['stumble']; ?>" title=""><span class="icon"><i aria-hidden="true" class="icon-stumbleupon">
                </i></span><span>Stumble</span></a> </li>
			<?php } ?>	
            </ul>
        </div>
        
    </div>
		
			
<?php
		}
	}
}?>
